Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.tree.event
Class TreeSelectionEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.FacesEvent
              org.apache.myfaces.custom.tree.event.TreeSelectionEvent

All Implemented Interfaces:
  java.io.Serializable

public class TreeSelectionEvent
extends javax.faces.event.FacesEvent

Event fired by `HtmlTree` on selection changes.

Version:
  $Revision: 225368 $ $Date: 2005-07-26 14:14:51 -0400 (Tue, 26 Jul 2005) $
Author:
  Oliver Rossmueller
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`TreeSelectionEvent(javax.faces.component.UIComponent uiComponent, TreePath oldSelectionPath, TreePath newSelectionPath)` Construct an event.

Method Summary
`TreePath` | `getNewSelectionPath()` Answer the path of the current (new) selection.
`TreePath` | `getOldSelectionPath()` Answer the path of the old selection.
`boolean` | `isAppropriateListener(javax.faces.event.FacesListener faceslistener)`
`void` | `processListener(javax.faces.event.FacesListener faceslistener)`

Methods inherited from class javax.faces.event.FacesEvent
`getComponent, getPhaseId, queue, setPhaseId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TreeSelectionEvent

    public TreeSelectionEvent(javax.faces.component.UIComponent uiComponent,
                              TreePath oldSelectionPath,
                              TreePath newSelectionPath)

  Construct an event.

Parameters:
  `uiComponent` - event source
  `oldSelectionPath` - path of the old selection, null if no node was selected before
  `newSelectionPath` - path of the current selection

Method Detail

### getOldSelectionPath

    public TreePath getOldSelectionPath()

  Answer the path of the old selection.

  Returns:
    path of previous (old) selection, null if no node was selected before

### getNewSelectionPath

    public TreePath getNewSelectionPath()

  Answer the path of the current (new) selection.

  Returns:
    path of the new selected node

### isAppropriateListener

    public boolean isAppropriateListener(javax.faces.event.FacesListener faceslistener)

### processListener

    public void processListener(javax.faces.event.FacesListener faceslistener)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD